setOption.Options {R.utils} | R Documentation

## Sets an option

### Description

Sets an option in the options tree structure.

### Usage

    ## S3 method for class 'Options'
    setOption(this, pathname, value, overwrite=TRUE, ...)

### Arguments

`pathname` | A single `character` string specifying the path to the option.
`value` | The value to be assigned to the option.
`overwrite` | If `TRUE`, already existing options are overwritten, otherwise not.
`...` | Not used.

### Value

Returns (invisibly) the old option value.

### Author(s)

Henrik Bengtsson

### See Also

`*hasOption()`. `*setOption()`. For more information see `Options`.

[Package R.utils version 2.6.0 Index]